<?php

define('IN_COPPERMINE', true);

require('include/init.inc.php');

pageheader('FAQ');

// Initialize some variables
$faqCategoryDeleted = false;
$faqDeleted = false;

// If admin wants to delete category or FAQ
if (GALLERY_ADMIN_MODE && $_GET['act'] == 'delete') {
  if (!empty($_GET['categoryId'])) {
    $_GET['categoryId'] = (int)$_GET['categoryId'];

    // Query to check category for a particular categoryId exists or not
    $query = "SELECT * FROM ".$CONFIG['TABLE_PREFIX']."faqCatgeories WHERE categoryId = '".$_GET['categoryId']."'";
    $result = cpg_db_query($query);

    // If category for a particular categoryId exists then change category for FAQ as root category and delete the category
    if (mysql_num_rows($result) > 0) {
      $query = "UPDATE ".$CONFIG['TABLE_PREFIX']."faqs SET categoryId = '0' WHERE categoryId = '".$_GET['categoryId']."'";
      cpg_db_query($query);

      $query = "DELETE FROM ".$CONFIG['TABLE_PREFIX']."faqCatgeories WHERE categoryId = '".$_GET['categoryId']."'";
      cpg_db_query($query);

      $faqCategoryDeleted = true;
    }
  } else if (!empty($_GET['faqId'])) {
    $_GET['faqId'] = (int)$_GET['faqId'];

    // Query to check FAQ for a particular faqId exists or not
    $query = "SELECT * FROM ".$CONFIG['TABLE_PREFIX']."faqs WHERE faqId = '".$_GET['faqId']."'";
    $result = cpg_db_query($query);

    // If FAQ for a particular faqId exists then delete the FAQ
    if (mysql_num_rows($result) > 0) {
      $query = "DELETE FROM ".$CONFIG['TABLE_PREFIX']."faqs WHERE faqId = '".$_GET['faqId']."'";
      cpg_db_query($query);

      $faqDeleted = true;
    }
  }
}

$catArr = array();
$faqArr = array();

// Select all FAQ categories
$query = "SELECT * FROM ".$CONFIG['TABLE_PREFIX']."faqCatgeories ORDER BY categoryTitle ASC";
$result = cpg_db_query($query);

while ($row = cpg_db_fetch_row($result)) {
  $catId = (int)$row['categoryId'];
  $catTitle = stripslashes($row['categoryTitle']);

  // array[$categoryId] = $categoryTitle
  $catArr[$catId] = $catTitle;
}

// Select all FAQs
$query = "SELECT * FROM ".$CONFIG['TABLE_PREFIX']."faqs ORDER BY faqId ASC";
$result = cpg_db_query($query);

while ($row = cpg_db_fetch_row($result)) {
  $faqId = (int)$row['faqId'];
  $catId = (int)$row['categoryId'];
  $queText = nl2br(stripslashes($row['questionText']));
  $ansText = bb_decode(stripslashes($row['answerText']));

  // array[$categoryId][$faqId] = array('question' => $questionText, 'answer' => $answerText)
  $faqArr[$catId][$faqId] = array('question' => $queText, 'answer' => $ansText);
}

if ($faqCategoryDeleted) {
?>
<p align="center"><font color="#339966"><b>FAQ category has been deleted successfully.</b></font></p>
<?php
} else if ($faqDeleted) {
?>
<p align="center"><font color="#339966"><b>FAQ entry has been deleted successfully.</b></font></p>
<?php
}
?>
<script language="JavaScript">
<!--
function showHide(id) {
  if (document.getElementById("faq_" + id) && document.getElementById("faqCategory_" + id)) {
    if (document.getElementById("faq_" + id).style.display == "none") {
      document.getElementById("faq_" + id).style.display = "block";
      document.getElementById("faqCategory_" + id).src = "images/collapse.bmp";
    } else {
      document.getElementById("faq_" + id).style.display = "none";
      document.getElementById("faqCategory_" + id).src = "images/expand.bmp";
    }
  }

  return false;
}

function showHideAll(idArray, showFlag) {
  for (var i = 0; i < idArray.length; i++) {
    if (document.getElementById("faq_" + idArray[i]) && document.getElementById("faqCategory_" + idArray[i])) {
      if (showFlag) {
        document.getElementById("faq_" + idArray[i]).style.display = "block";
        document.getElementById("faqCategory_" + idArray[i]).src = "images/collapse.bmp";
      } else {
        document.getElementById("faq_" + idArray[i]).style.display = "none";
        document.getElementById("faqCategory_" + idArray[i]).src = "images/expand.bmp";
      }
    }
  }

  return false;
}

//-->
</script>
<a name="top"></a>
<table align="center" border="0" cellpadding="3" cellspacing="0" class="maintable" width="100%">
<?php
// If admin is logged in then display 'Add FAQ Category' and 'Add FAQ Entry' links
if (GALLERY_ADMIN_MODE) {
?>
  <tr align="center">
    <td class="tableb">
      [ <a href="#" onclick="MM_openBrWindow('manageFAQ.php?act=addCategory', 'Add_FAQ_Category', 'width=500, height=150, scrollbars=yes, toolbar=no, status=yes, resizable=yes'); return false;">Add FAQ Category</a> ]
      [ <a href="#" onclick="MM_openBrWindow('manageFAQ.php?act=addFAQ', 'Add_FAQ', 'width=500, height=600, scrollbars=yes, toolbar=no, status=yes, resizable=yes'); return false;">Add FAQ Entry</a> ]
    </td>
  </tr>
<?php
}
?>
  <tr>
    <td class="tableb">
<?php
if (count($faqArr) <= 0 && count($catArr) <= 0) {
  echo '
      <center><font color="#FF0000"><b>No FAQs.</b></font></center>';
}

// Code to display expand/collapse all links
if (count($catArr) > 0) {
  $arrKeys = array();
  $arrKeys = array_keys($catArr);

  if (count($arrKeys) > 0) {
    reset($arrKeys);

    echo '
      <script language="JavaScript">
      <!--
      var idArray = new Array('.count($arrKeys).');
';

    foreach ($arrKeys as $arrKey => $arrValue) {
      echo '
      idArray['.$arrKey.'] = '.$arrValue.';';
    }

    echo '
      //-->
      </script>
      [ <a href="#" onclick="return showHideAll(idArray, false);">Collapse All</a> ]
      [ <a href="#" onclick="return showHideAll(idArray, true);">Expand All</a> ]';
  }
}

// Code to display FAQs having no category
if (count($faqArr[0]) > 0) {
  reset($faqArr);

  echo '
      <ul>';

  foreach ($faqArr[0] as $faqId => $faqDetails) {
    // If admin is logged in then display 'Edit' and 'Delete' links for FAQs
    if (GALLERY_ADMIN_MODE) {
      $editDeleteLinks = '&nbsp;&nbsp; <a href="#" onclick="MM_openBrWindow(\'manageFAQ.php?act=edit&faqId='.$faqId.'\', \'Edit_FAQ\', \'width=500, height=600, scrollbars=yes, toolbar=no, status=yes, resizable=yes\'); return false;" title="Edit FAQ"><img alt="Edit FAQ" border="0" src="images/b_edit.png"></a> <a href="myfaq.php?act=delete&faqId='.$faqId.'" onClick="return confirm(\'Do you really want to delete this faq ?\');" title="Delete FAQ"><img alt="Delete FAQ" border="0" src="images/b_drop.png"></a>';
    } else {
      $editDeleteLinks = '';
    }

    echo '
        <li><a href="#que_nc'.$faqId.'">'.$faqDetails['question'].'</a>'.$editDeleteLinks.'</li>';
  }

  echo '
      </ul>';
}

reset($catArr);

// Code to display categories and FAQs having category
foreach ($catArr as $catId => $catTitle) {
  if ($catId <= 0) continue;

  // If admin is logged in then display 'Edit' and 'Delete' links for categories
  if (GALLERY_ADMIN_MODE) {
    $editDeleteLinks = ' &nbsp;&nbsp; <a href="#" onclick="MM_openBrWindow(\'manageFAQ.php?act=edit&categoryId='.$catId.'\', \'Edit_FAQ_Category\', \'width=500, height=150, scrollbars=yes, toolbar=no, status=yes, resizable=yes\'); return false;" title="Edit FAQ Category"><img alt="Edit FAQ Category" border="0" src="images/b_edit.png"></a> <a href="myfaq.php?act=delete&categoryId='.$catId.'" onClick="return confirm(\'Do you really want to delete this faq category ?\');" title="Delete FAQ Category"><img alt="Delete FAQ Category" border="0" src="images/b_drop.png"></a>';
  } else {
    $editDeleteLinks = '';
  }

  echo '
      <ul>
        <li style="list-style: none; margin: 0px 0px 0px 0px;"><a href="#" onClick="return showHide('.$catId.');" title="Click here to collapse/expand menu"><img alt="Collapse/Expand" border="0" id="faqCategory_'.$catId.'" src="images/collapse.bmp"></a> '.$catTitle.$editDeleteLinks.'</li>
        <ul id="faq_'.$catId.'" style="display: block; padding: 0px 0px 0px 10px;">';

  reset($faqArr);

  foreach ($faqArr[$catId] as $faqId => $faqDetails) {
    // If admin is logged in then display 'Edit' and 'Delete' links for FAQs
    if (GALLERY_ADMIN_MODE) {
      $editDeleteLinks = '&nbsp;&nbsp; <a href="#" onclick="MM_openBrWindow(\'manageFAQ.php?act=edit&faqId='.$faqId.'\', \'Edit_FAQ\', \'width=500, height=600, scrollbars=yes, toolbar=no, status=yes, resizable=yes\'); return false;" title="Edit FAQ"><img alt="Edit FAQ" border="0" src="images/b_edit.png"></a> <a href="myfaq.php?act=delete&faqId='.$faqId.'" onClick="return confirm(\'Do you really want to delete this faq ?\');" title="Delete FAQ"><img alt="Delete FAQ" border="0" src="images/b_drop.png"></a>';
    } else {
      $editDeleteLinks = '';
    }

    echo '
          <li><a href="#que'.$catId.$faqId.'">'.$faqDetails['question'].'</a>'.$editDeleteLinks.'</li>';
  }

  echo '
        </ul>
      </ul>';
}
?>
    </td>
  </tr>
</table>
<br>
<table align="center" border="0" cellpadding="3" cellspacing="0" class="maintable" width="100%">
<?php
// Code to display FAQs (with answers) having no category
if (count($faqArr[0]) > 0) {
  reset($faqArr);

  foreach ($faqArr[0] as $faqId => $faqDetails) {
    echo '
  <tr>
    <td class="tableb">
      <a name="que_nc'.$faqId.'"></a>
      <p><b>'.$faqDetails['question'].'</b></p>
      <p>'.$faqDetails['answer'].'</p>
      <p align="right"><a href="#top"><i>top</i></a></p>
    </td>
  </tr>';
  }

  echo '
  <tr><td>&nbsp;</td></tr>';
}

reset($catArr);

// Code to display categories and FAQs (with answers) having category
foreach ($catArr as $catId => $catTitle) {
  if ($catId <= 0) continue;

  echo '
  <tr><td class="tableh1">'.$catTitle.'</td></tr>';

  reset($faqArr);

  foreach ($faqArr[$catId] as $faqId => $faqDetails) {
    echo '
  <tr>
    <td class="tableb">
      <a name="que'.$catId.$faqId.'"></a>
      <p><b>'.$faqDetails['question'].'</b></p>
      <p>'.$faqDetails['answer'].'</p>
      <p align="right"><a href="#top"><i>top</i></a></p>
    </td>
  </tr>';
  }

  if (next($catArr)) {
    echo '
  <tr><td>&nbsp;</td></tr>';
  }
}
?>
</table>
<?php
pagefooter();

?>
